Bug 499204 - Hardware freezes on Dell Optiplex 320 while booting
Summary: Hardware freezes on Dell Optiplex 320 while booting
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: grub
Version: 12
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-05-05 15:25 UTC by Dorian Preston
Modified: 2010-12-05 06:55 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 219715
Environment:
Last Closed: 2010-12-05 06:55:05 UTC
Type: ---


Attachments (Terms of Use)

Description Dorian Preston 2009-05-05 15:25:53 UTC
+++ This bug was initially created as a clone of Bug #219715 +++

Description of problem:
The machine, an Dell Optiplex 320, freezes while booting with grub.  It seems to
happen while the kernel is being loaded and before the kernel is started.  Our
guess is a bug in the BIOS that grub tickles.  Booting with lilo works.

Version-Release number of selected component (if applicable):
grub-0.97-13.i386

The machine has the most recent version of the BIOS, 1.0.9.

The command "blocklist /vmlinuz-2.6.18-1.2798.fc6" from the grub command-line
also freezes the machine.

--- Additional comment from ackistler@yahoo.com on 2007-01-20 20:47:13 EDT ---

I have the same hardware, although I'm trying fc5 currently.  Going to the grub
command line, I can execute "cat /grub/menu.lst" and get the contents of the
file displayed.  (Of course, the menu is displayed on boot, too, so I expected
cat to work.)  However, on a manual attempt to boot, the kernel command freezes
the machine.

The Optiplex 320 has an ATI sb600 SATA controller, if that matters.  I had to
supply all-generic-ide to the installer to get it to run, but it ran.

I'll post back here if my fc6 experience is different.

--- Additional comment from pawsa@theochem.kth.se on 2007-03-26 13:46:12 EDT ---

I see the bug on the same hardware (Dell Optiplex 320) with FC6 as well.
"Uncompressing xxxx" is the last message I see. No combination of command line
options that I tried (noprobe, noapic and so on) could fix it. Replacing the
grub bootloader with lilo makes the problem disappear. This is seen with fc6 +
all the updates installed allready in the installation phase: 2.6.20-1.2933.fc6
kernel is being booted.


--- Additional comment from kelsey@kelseyhightower.net on 2007-07-05 11:53:37 EDT ---

I have this same machine. I am running RHEL 5 Workstation. I was able to get the
machine to install, passing pci=nomsi as a kernel option.

Everything installs fine, but the machine will not boot with its default boot
loader GRUB. I have to use a rescue disk to install LILO overwriteing GRUB.

I have since added a PCI SATA controller which allows the system to install
without using the pci=nomsi option. I still get errors with the GRUB booting the
Linux kernel.

There seems to be conflict with GRUB and the BIOS, as LILO works and GRUB does not.

Is this a issue that RedHat plans to address? Will they try and patch GRUB to
work on these machines?

Thanks for any feedback.

--- Additional comment from matt_domsch@dell.com on 2007-07-24 14:58:34 EDT ---

Has anyone tried passing 'edd=skipmbr' as a kernel option?  Just curious...
-Matt

--- Additional comment from pawsa-gpa@theochem.kth.se on 2007-08-07 06:19:52 EDT ---

I have just tried  edd=skipmbr instead of pci=nomsi - and the kernel hangs just
after the detection of the USB keyboard. Kernel version is 2.6.18-1.8.el5. I
obviously booted with lilo - grub is nonfunctional in any form.

--- Additional comment from eric.caron@gmail.com on 2007-09-07 13:33:44 EDT ---

This bug still exists in Fedora 7. Its very hard to install on a new Optiplex
320.   Installing Lilo presents its own issues because of DEVMAPPER-related
issues, and grub2 doesn't appear to fix it either.

--- Additional comment from eric.caron@gmail.com on 2007-09-07 15:47:56 EDT ---

Interesting revelation... When I add "vga=792" to grub.conf, and boot from the
CD and then choose "Boot from local disk" (which then loads grub from sda), the
system boots perfectly.

Does that help in addressing the issue?

--- Additional comment from lkundrak@redhat.com on 2007-10-15 11:19:10 EDT ---

Are you confident this is a Grub issue, not a Kernel one? Are any kernel guys in
CC? Could you please run dmidecode to find out what BIOS version do you have?
Are there any BIOS updates available for the machine? Did you try applying them?

--- Additional comment from ianburrell@gmail.com on 2007-10-15 17:26:54 EDT ---

I am pretty sure this is a Grub problem.  It hangs before it prints the first
kernel message.  It also hangs when doing a "blocklist" command after printing a
handful of blocks.

I last tried Grub with BIOS version 1.1.7.  There is a more recent version
(1.1.10) that I haven't tried grub with.

I also tried lilo with the lba32 option, and grub with forcelba option, thinking
it might be a problem with LBA32 support but lilo worked regardless and grub hung.


--- Additional comment from ianburrell@gmail.com on 2007-10-19 13:47:21 EDT ---

I upgraded the BIOS to version 1.1.10 and still has the Grub hang problem.


--- Additional comment from craigwhite@azapple.com on 2007-11-12 18:32:52 EDT ---

Nothing has changed on Fedora 8 - in fact, it's gotten worse.

I could use Fedora 7 x86_64 without any special boot parameters but of course,
grub never worked but lilo has indeed worked. All of my mentions here refer only
to x86_64 as I gave up trying to run i386 on these systems a while back.

Upgraded to Fedora 8 and simply cannot even boot from Rescue disc - it hangs
with an error...

PCI: MSI quirk detected. MSI deactivated
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
ACPI Exception (processor_core-0819): AE_NOT_FOUND, Processor Device is not
present [20070126]
*** last line repeats 2 more times ***
Real Time Clock Driver v1.12ac
Non-volatile memory driver v1.2
Linux apgart interface v0.102
Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled

and there it stops...never proceeds.

The only way I've been able to get Fedora 8 Linux Rescue CD or CD Image from
boot.iso to boot is to pass 'acpi=off'

I will attach dmidecode and lspci 

--- Additional comment from craigwhite@azapple.com on 2007-11-12 18:33:46 EDT ---

Created an attachment (id=256041)
output of dmidecode on Dell Optiplex 320


--- Additional comment from craigwhite@azapple.com on 2007-11-12 18:34:24 EDT ---

Created an attachment (id=256051)
output of lspci -vv from Dell Optiplex 320


--- Additional comment from craigwhite@azapple.com on 2007-11-12 18:40:40 EDT ---

I'm gonna vent a bit here...

This isn't getting fixed. See bugzilla 219043 
https://bugzilla.redhat.com/show_bug.cgi?id=219043

This all began on Fedora 5 (Fedora 6 for me) and continued on Fedora 7 and now
has gotten worse in Fedora 8

Grub has NEVER worked on these Dell Optiplexes...as far as I can tell, for
anyone ever. I am using Lilo-22.8

I could get i386 working only if I passed ridiculous kernel parameters such as
pci=nomsi all-generic-ide but until Fedora 8 (2.6.23.1-49.fc8) I didn't have to
sacrifice the unborn on x86_64. Now it requires both Lilo and apci=off

PLEASE - PLEASE - PLEASE do something

--- Additional comment from lkundrak@redhat.com on 2007-11-12 19:27:44 EDT ---

(In reply to comment #11)
> The only way I've been able to get Fedora 8 Linux Rescue CD or CD Image from
> boot.iso to boot is to pass 'acpi=off'

(In reply to comment #14)
> I could get i386 working only if I passed ridiculous kernel parameters such as
> pci=nomsi all-generic-ide but until Fedora 8 (2.6.23.1-49.fc8) I didn't have to
> sacrifice the unborn on x86_64. Now it requires both Lilo and apci=off

This is a kernel thing. Hopefully kernel people will be able to do more than us,
bug #379201 for the kernel part.


--- Additional comment from craigwhite@azapple.com on 2007-11-14 14:27:54 EDT ---

OK - primarily concentrating on grub issues then, I have lilo installed and I
can get it to boot - kernel params per kernel-tracking bugzilla are now
'pci=noacpi timesource=acpi_pm'

lilo works but I have to manually run lilo command after each kernel update

grub as has been widely reported never seems to work on these systems.

I have updated BIOS to latest - here is latest output of dmidecode...
https://bugzilla.redhat.com/attachment.cgi?id=258581

# grub-install /dev/sda
Installation finished. No error reported.
This is the contents of the device map /boot/grub/device.map.
Check if this is correct or not. If any of the lines is incorrect,
fix it and re-run the script `grub-install'.

# this device map was generated by anaconda
(hd0)     /dev/sda

# cat /boot/grub/grub.conf
# grub.conf generated by anaconda
#
...snip...
#boot=/dev/sda
default=0
timeout=5
splashimage=(hd0,0)/grub/splash.xpm.gz
hiddenmenu
title Fedora (2.6.23.1-49.fc8)
  root (hd0,0)
  kernel /vmlinuz-2.6.23.1-49.fc8 ro root=LABEL=/1 pci=noacpi timesource=acpi_pm
  initrd /initrd-2.6.23.1-49.fc8.img

This will never boot and I have to reinstall lilo again.

Is my process correct?

--- Additional comment from craigwhite@azapple.com on 2007-11-21 14:08:00 EDT ---

I recognize that the inability to boot on 2.6.23 kernel (Fedora 8) issue is
probably more likely to be solved by bugzilla 379201 in kernel-maint but...

grub still doesn't work on these systems - at least no one has reported success
with getting it to boot. Lilo boots but I can't install kernel updates without
manually running 'lilo -v' because grubby code is uncooperative.

On fedora-list yesterday...
https://www.redhat.com/archives/fedora-list/2007-November/msg03487.html
poster suggests that grub2 worked for him

--- Additional comment from fedora-triage-list@redhat.com on 2008-04-04 01:15:01 EDT ---

Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

--- Additional comment from ianburrell@gmail.com on 2008-04-04 13:22:35 EDT ---

This problem still occurs with Fedora 8 and the most recent version of grub,
0.97-19.i386.  I am using the most recent BIOS update, 1.1.11, for the Optiplex
320.  The machine still hangs while grub is booting the machine.


--- Additional comment from poelstra@redhat.com on 2008-04-06 15:54:35 EDT ---

thanks for the update. changing to ASSIGNED

--- Additional comment from fedora-triage-list@redhat.com on 2008-11-26 02:07:26 EDT ---


This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from fedora-triage-list@redhat.com on 2009-01-09 02:02:26 EDT ---


Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 1 Dorian Preston 2009-05-05 15:27:10 UTC
This is still an issue with the latest version of Fedora. 

Possible Solution I am looking at is using GRUB2

Comment 2 javiercabello 2009-06-15 17:57:08 UTC
I may have the same problem with Red Hat Linus Enterprise v.4 64 bit. It Froze upon booting. I'm using a Dell Optiplex GX520.  I changed the /etc/sysconfig/init file, set GRAPHICAL=yes to "no".  Now it boots fine, but every time I logout or try restarting, I get that freeze up again.  Is there a solution to this?

Comment 3 John Place 2009-11-17 22:48:13 UTC
Fedora 12 exhibits the same behaviour. Installed via DVD or Live CD, both install successfully but fail to boot. No messages or errors, simply locks up.

Comment 4 Bug Zapper 2009-11-18 10:00:59 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 John Place 2009-11-18 10:48:17 UTC
Version 11 and 12 both have this issue. Please update version to 12.

Comment 6 John Place 2009-11-18 15:29:50 UTC
Issue Duplicated on this computer running Fedora 12 and the latest firmware 1.1.12 (Released 8/23/2009) Installing Centos5.3 and Ubuntu 9.04 also fails.

Comment 7 Jason Pyeron 2010-07-15 11:50:37 UTC
centos 5.5 x86_64 installs, but grub freezes on reboot.
added a new hd control card, problem persists.
will try to make boot disk.

Comment 8 Alastair Neil 2010-07-15 14:52:34 UTC
tested this with Fedora 13 and it works OK.

Comment 9 Jason Pyeron 2010-07-28 12:01:33 UTC
Booting the Fedora 13 x86_64 live cd and choosing to boot from local disk allows the system to function. This is not a good solution but it is the firs solution.

Comment 10 Jason Pyeron 2010-07-28 15:45:37 UTC
I have upgraded the system to grub from fedora 13, this did not fix the issue. The machine still functions as in comment #9. I am going to a full install of fedora 13 now.

Comment 11 Bug Zapper 2010-11-04 11:17:00 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 12 Bug Zapper 2010-12-05 06:55:05 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.